/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumLabeltype;
import de.ship.db.tables.TInputLabel;

import java.time.LocalDateTime;

import org.jooq.JSONB;
import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TInputLabelRecord extends UpdatableRecordImpl<TInputLabelRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_input_label.pk_input_label</code>.
     */
    public void setPkInputLabel(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_input_label.pk_input_label</code>.
     */
    public Integer getPkInputLabel() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_input_label.fk_style</code>.
     */
    public void setFkStyle(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_input_label.fk_style</code>.
     */
    public Integer getFkStyle() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_input_label.fk_element</code>. reference to
     * form or variable group
     */
    public void setFkElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_input_label.fk_element</code>. reference to
     * form or variable group
     */
    public Integer getFkElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_input_label.label_posx</code>. x position of
     * label
     */
    public void setLabelPosx(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_input_label.label_posx</code>. x position of
     * label
     */
    public Integer getLabelPosx() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_input_label.label_posy</code>. y position of
     * label
     */
    public void setLabelPosy(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_input_label.label_posy</code>. y position of
     * label
     */
    public Integer getLabelPosy() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.t_input_label.fk_lang_key</code>. language key
     * of label
     */
    public void setFkLangKey(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_input_label.fk_lang_key</code>. language key
     * of label
     */
    public String getFkLangKey() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.t_input_label.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.t_input_label.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(6);
    }

    /**
     * Setter for <code>common_dd.t_input_label.stage</code>. stage of element;
     * see T_CORE_STAGE for details
     */
    public void setStage(Integer value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.t_input_label.stage</code>. stage of element;
     * see T_CORE_STAGE for details
     */
    public Integer getStage() {
        return (Integer) get(7);
    }

    /**
     * Setter for <code>common_dd.t_input_label.label_type</code>.
     */
    public void setLabelType(EnumLabeltype value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.t_input_label.label_type</code>.
     */
    public EnumLabeltype getLabelType() {
        return (EnumLabeltype) get(8);
    }

    /**
     * Setter for <code>common_dd.t_input_label.data</code>.
     */
    public void setData(JSONB value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.t_input_label.data</code>.
     */
    public JSONB getData() {
        return (JSONB) get(9);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TInputLabelRecord
     */
    public TInputLabelRecord() {
        super(TInputLabel.T_INPUT_LABEL);
    }

    /**
     * Create a detached, initialised TInputLabelRecord
     */
    public TInputLabelRecord(Integer pkInputLabel, Integer fkStyle, Integer fkElement, Integer labelPosx, Integer labelPosy, String fkLangKey, LocalDateTime lastchange, Integer stage, EnumLabeltype labelType, JSONB data) {
        super(TInputLabel.T_INPUT_LABEL);

        setPkInputLabel(pkInputLabel);
        setFkStyle(fkStyle);
        setFkElement(fkElement);
        setLabelPosx(labelPosx);
        setLabelPosy(labelPosy);
        setFkLangKey(fkLangKey);
        setLastchange(lastchange);
        setStage(stage);
        setLabelType(labelType);
        setData(data);
        resetChangedOnNotNull();
    }
}
